<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@001F67C8=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@0008EBD4=63</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@0008EBD4=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@0008EF52=C8</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@0008EF52=C8</action>
    </script>
  </cheat>

  <cheat desc="Lose Now! PL1">
    <script state="on">
      <action>maincpu.pb@0008EF53=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL1">
    <script state="run">
      <action>maincpu.pw@0008F168=0900</action>
    </script>
  </cheat>

  <cheat desc="Always No Power PL1">
    <script state="run">
      <action>maincpu.pw@0008F168=0000</action>
    </script>
  </cheat>

  <cheat desc="Select Character Color (1st) PL1">
    <parameter min="0" max="3" step="1"/>
    <script state="change">
      <action>maincpu.pb@001F6506=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select Character Color (2nd) PL1">
    <parameter min="0" max="3" step="1"/>
    <script state="change">
      <action>maincpu.pb@001F6507=(param)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Weak Punch PL1">
    <script state="run">
      <action>maincpu.pb@001F60C8=00|(maincpu.pb@001F60C8 BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Strong Punch PL1">
    <script state="run">
      <action>maincpu.pb@001F60C8=00|(maincpu.pb@001F60C8 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Weak Kick PL1">
    <script state="run">
      <action>maincpu.pb@001F60C8=00|(maincpu.pb@001F60C8 BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Strong Kick PL1">
    <script state="run">
      <action>maincpu.pb@001F60C8=00|(maincpu.pb@001F60C8 BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@0008F352=C8</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@0008F352=00</action>
    </script>
  </cheat>

  <cheat desc="Lose Now! PL2">
    <script state="on">
      <action>maincpu.pb@0008F353=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL2">
    <script state="run">
      <action>maincpu.pw@0008F568=0900</action>
    </script>
  </cheat>

  <cheat desc="Always No Power PL2">
    <script state="run">
      <action>maincpu.pw@0008F568=0000</action>
    </script>
  </cheat>

  <cheat desc="Select Character Color (1st) PL2">
    <parameter min="0" max="3" step="1"/>
    <script state="change">
      <action>maincpu.pb@001F6508=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select Character Color (2nd) PL2">
    <parameter min="0" max="3" step="1"/>
    <script state="change">
      <action>maincpu.pb@001F6509=(param)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Weak Punch PL2">
    <script state="run">
      <action>maincpu.pb@001F60CA=00|(maincpu.pb@001F60CA BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Strong Punch PL2">
    <script state="run">
      <action>maincpu.pb@001F60CA=00|(maincpu.pb@001F60CA BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Weak Kick PL2">
    <script state="run">
      <action>maincpu.pb@001F60CA=00|(maincpu.pb@001F60CA BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Strong Kick PL2">
    <script state="run">
      <action>maincpu.pb@001F60CA=00|(maincpu.pb@001F60CA BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Unlock Secret Factor (NVRAM)"> <comment>You need to reset the game to see any effect after you've set it. Enable to select all characters and free selection mode</comment>
    <script state="on">
      <action>maincpu.pb@1FAF0014=03</action>
    </script>
  </cheat>

  <cheat desc="Lock Secret Factor (NVRAM)"> <comment>You need to reset the game to see any effect after you've set it</comment>
    <script state="on">
      <action>maincpu.pb@1FAF0014=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
